---
lang: en
title: 'API docs: context.asglobalinterceptor'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.asglobalinterceptor.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [asGlobalInterceptor](./context.asglobalinterceptor.md)

## asGlobalInterceptor() function

The `BindingTemplate` function to configure a binding as a global interceptor by tagging it with `ContextTags.INTERCEPTOR`

<b>Signature:</b>

```typescript
export declare function asGlobalInterceptor(group?: string): BindingTemplate;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  group | <code>string</code> | Group for ordering the interceptor |

<b>Returns:</b>

`BindingTemplate`


